Package com.arms.api.analysis.time.controller

## Class TimeController

- java.lang.Object
- - com.arms.api.analysis.time.controller.TimeController

-     @RestController
      @RequestMapping("/admin/arms/analysis/time")
      public class TimeController
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TimeController()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.springframework.web.servlet.ModelAndView` | `getHeatMapDataForYear​(TimeDTO timeDTO)` |
    `org.springframework.web.servlet.ModelAndView` | `getMultiCombinationChartData​(TimeDTO timeDTO)` |
    `org.springframework.http.ResponseEntity<CommonResponse.ApiResult<java.util.List<RidgeLineVO>>>` | `getRidgeLineData​(TimeDTO timeDTO)` |
    `org.springframework.web.servlet.ModelAndView` | `getScatterChartData​(TimeDTO timeDTO)` |
    `org.springframework.web.servlet.ModelAndView` | `getUpdatedPdServiceVersionAlmIssueByDate​(TimeDTO timeDTO)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TimeController

          public TimeController()

  - ### Method Detail

    - #### getHeatMapDataForYear

          @PostMapping("/heatmap-data")
          public org.springframework.web.servlet.ModelAndView getHeatMapDataForYear​(@RequestBody
                                                                                    TimeDTO timeDTO)

    - #### getScatterChartData

          @PostMapping("/scatter-data")
          public org.springframework.web.servlet.ModelAndView getScatterChartData​(@RequestBody
                                                                                  TimeDTO timeDTO)

    - #### getMultiCombinationChartData

          @PostMapping("/updated-issue/multi-combination-data")
          public org.springframework.web.servlet.ModelAndView getMultiCombinationChartData​(@RequestBody
                                                                                           TimeDTO timeDTO)

    - #### getUpdatedPdServiceVersionAlmIssueByDate

          @PostMapping("/updated-timeline")
          public org.springframework.web.servlet.ModelAndView getUpdatedPdServiceVersionAlmIssueByDate​(@RequestBody
                                                                                                       TimeDTO timeDTO)

    - #### getRidgeLineData

          @PostMapping("/updated-ridgeline")
          public org.springframework.http.ResponseEntity<CommonResponse.ApiResult<java.util.List<RidgeLineVO>>> getRidgeLineData​(@RequestBody
                                                                                                                                 TimeDTO timeDTO)
                                                                                                                          throws java.lang.Exception

      Throws:
        `java.lang.Exception`